# This file represents the base specification of your challenge. It is used by
# other tools to install and deploy your challenge.

# Required sections
name: "Vaultbreaker"
author: "author"
category: "11. Pwnovember"
description: "Bestudeer het bijgeleverde VaultBreaker bestand. De kwestbaarheid in deze puzzel is een format string vulnerability. Kun jij de verstopte key achterhalen? \n 

Flag = JCR(de KEY)"
value: 200
type: standard


# Specify a host to deploy the challenge onto.
# The currently supported URI schemes are ssh:// and registry://
# ssh is an ssh URI where the above image will be copied to and deployed (e.g. ssh://root@123.123.123.123)
# registry is a Docker registry tag (e.g registry://registry.example.com/test/image)
# host can also be specified during the deploy process: `ctf challenge deploy challenge --host=ssh://root@123.123.123.123`
host: null

# Optional settings


# Can be removed if unused
attempts: 0

# Flags specify answers that your challenge use. You should generally provide at least one.
# Can be removed if unused
# Accepts strings or dictionaries of CTFd API data
flags:
    # A static case sensitive flag
    - JCR(THUG)


# Provide paths to files from the same directory that this file is in
# Accepts strings
files:
    - VaultBreaker




# The state of the challenge.
# If the field is omitted, the challenge is visible by default.
# If provided, the field can take one of two values: hidden, visible.
state: visible

# Specifies what version of the challenge specification was used.
# Subject to change until ctfcli v1.0.0
version: "0.1"